detect_adni_phantom(1)

NAME
detect_adni_phantom - Detect ADNI phantom landmarks in phantom image

SYNOPSIS
detect_adni_phantom InputImage OutputXML

DESCRIPTION
This tool detects the locations of all spherical landmarks in a 3D image of the Magphan EMR051 structural imaging phantom (a.k.a. ADNI Phantom).

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Phantom Detection Options

--tolerant
    Be tolerant of issues such as partially truncated marker spheres. This should be used with caution only when necessary, and both the phantom image and detection results should be carefully inspected to identify the source of detection problems and verify reliable results.

--any-orientation
    Do not assume standard orientation of the phantom, i.e., allow phantoms scanned upside-down. This makes detection of defective phantoms less robust.

--fallback-cnr-centroid
    Force a fallback to use centroid of CNR spheres rather than center of SNR sphere for initial orientation. This can be used when, for example, the SNR sphere has broken off but is positioned in a way that does not trigger the automatic fallback.

--erode-snr <double>
    Erode SNR sphere by this distance prior to computing SNR estimate. [Default: 10]

--erode-cnr <double>
    Erode each CNR sphere by this distance prior to computing CNR estimate. [Default: 5]

--refine-xform
    Refine estimated affine transformation after each new landmark is added.

--refine-outliers
    Refine outlier landmarks based on estimated transformation after first sphere detection pass.

--exclude-outliers
    Exclude outlier landmarks before fitting final transformations.

--no-bias-correct-spheres
    Disable intensity bias field correction for each detected sphere. This will likely reduce accuracy of SNR/CNR estimates and also affect localication accuracy of smaller spheres, but may be helpful in extreme cases where bias correction fails completely.

  Output Options

--write-labels <image-path>
    Output label image path. This image contains the mask of detected spheres, each labeled uniquely in their order in CMTK's ADNI phantom fiducial table. [Default: NONE]

--write-rigid <transformation-path>
    Output path for the fitted rigid transformation from phantom space into RAS image standard space. This transformation defines where each sphere should be in the image. [Default: NONE]

--write-affine <transformation-path>
    Output path for the fitted affine transformation from phantom space into RAS image standard space. This is the closest linear-fit transformation, and as such it includes scale and shear components not present in the fitted rigid transformations. Since these components are due to scanner miscalibration and distortion, this transformation DOES NOT specify the correct spehre locations in the image, but rather, allows for quantification of scale miscalibration. [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.